<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>BuildingSimple</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="declaration: package: fr.ici.buildingActivity.building, class: BuildingSimple">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.buildingActivity.building</a></div>
<h1 title="Class BuildingSimple" class="title">Class BuildingSimple</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.ICIClass
<div class="inheritance">fr.ici.dataImporter.iciObjects.ICIObject
<div class="inheritance"><a href="Building.html" title="class in fr.ici.buildingActivity.building">fr.ici.buildingActivity.building.Building</a>
<div class="inheritance">fr.ici.buildingActivity.building.BuildingSimple</div>
</div>
</div>
</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">BuildingSimple</span>
<span class="extends-implements">extends <a href="Building.html" title="class in fr.ici.buildingActivity.building">Building</a></span></div>
<div class="block">Building integration in the ICI project. Mainly from the BD_Topo</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-fr.ici.buildingActivity.building.Building">Fields inherited from class&nbsp;fr.ici.buildingActivity.building.<a href="Building.html" title="class in fr.ici.buildingActivity.building">Building</a></h3>
<code><a href="Building.html#bGeom">bGeom</a></code></div>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-fr.ici.dataImporter.iciObjects.ICIClass">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.ICIClass</h3>
<code>DEBUG, rdGen</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,double,double,int,int,boolean,int,org.locationtech.jts.geom.Geometry)" class="member-name-link">BuildingSimple</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;ID,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nature,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;usage1,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;usage2,
 double&nbsp;height,
 double&nbsp;footprintArea,
 int&nbsp;nbStairs,
 int&nbsp;nbHousing,
 boolean&nbsp;unkwownNumberOfHousing,
 int&nbsp;nbPOI,
 org.locationtech.jts.geom.Geometry&nbsp;geom)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab1" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab1', 3)" class="table-tab">Static Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>org.opengis.feature.simple.SimpleFeature</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#generateSimpleFeature()" class="member-name-link">generateSimpleFeature</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static float</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getFunctionalRatio()" class="member-name-link">getFunctionalRatio</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>org.geotools.feature.simple.SimpleFeatureBuilder</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getSFB()" class="member-name-link">getSFB</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getSfcBuilding(java.util.List)" class="member-name-link">getSfcBuilding</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lB)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Write a list of Building in a geographic collection</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importBuildingFromBDTopo(java.io.File,fr.ici.buildingActivity.util.property.BuildingRef,org.locationtech.jts.geom.Geometry)" class="member-name-link">importBuildingFromBDTopo</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref,
 org.locationtech.jts.geom.Geometry&nbsp;mask)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importBuildingFromBDTopo(java.io.File,java.io.File,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef)" class="member-name-link">importBuildingFromBDTopo</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;irisHousing,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;shortYear,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importBuildingFromBDTopo(java.io.File,java.io.File,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef,java.io.File,org.locationtech.jts.geom.Geometry,java.io.File)" class="member-name-link">importBuildingFromBDTopo</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;irisHousingFile,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;shortYear,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingBNB,
 org.locationtech.jts.geom.Geometry&nbsp;mask,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;poiFile)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Import buildings from an already existing collection of BDTopo building.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importBuildingFromBDTopo(java.io.File,java.io.File,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef,org.locationtech.jts.geom.Geometry)" class="member-name-link">importBuildingFromBDTopo</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;irisHousing,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;shortYear,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref,
 org.locationtech.jts.geom.Geometry&nbsp;mask)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importBuildingFromBDTopo(java.io.File,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef,java.io.File,org.locationtech.jts.geom.Geometry,java.io.File)" class="member-name-link">importBuildingFromBDTopo</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisHousing,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;shortYear,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingBNB,
 org.locationtech.jts.geom.Geometry&nbsp;mask,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;poiFile)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importBuildingFromBNB(java.io.File,org.locationtech.jts.geom.Geometry,java.io.File)" class="member-name-link">importBuildingFromBNB</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 org.locationtech.jts.geom.Geometry&nbsp;mask,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;poiFile)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Import buildings from an already existing collection of BDTopo building.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#importBuildingFromICI(java.io.File)" class="member-name-link">importBuildingFromICI</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#setFunctionalRatio(float)" class="member-name-link">setFunctionalRatio</a><wbr>(float&nbsp;functionalRatio)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-fr.ici.buildingActivity.building.Building">Methods inherited from class&nbsp;fr.ici.buildingActivity.building.<a href="Building.html" title="class in fr.ici.buildingActivity.building">Building</a></h3>
<code><a href="Building.html#computeRoomLeft(java.util.List)">computeRoomLeft</a>, <a href="Building.html#export(java.util.List,java.io.File)">export</a>, <a href="Building.html#getGeom()">getGeom</a>, <a href="Building.html#getNbHousing()">getNbHousing</a>, <a href="Building.html#getProfessionalArea()">getProfessionalArea</a>, <a href="Building.html#getRoomLeft(java.util.List)">getRoomLeft</a>, <a href="Building.html#getSFCBuilding(java.util.List)">getSFCBuilding</a>, <a href="Building.html#getUtilFloorArea()">getUtilFloorArea</a>, <a href="Building.html#setNbPOI(int)">setNbPOI</a>, <a href="Building.html#setProfessionalArea(float)">setProfessionalArea</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.ICIObject</h3>
<code>equals, getID, getType, hashCode, setID, setRdGen, setType, toString</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,double,double,int,int,boolean,int,org.locationtech.jts.geom.Geometry)">
<h3>BuildingSimple</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">BuildingSimple</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;ID,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nature,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;usage1,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;usage2,
 double&nbsp;height,
 double&nbsp;footprintArea,
 int&nbsp;nbStairs,
 int&nbsp;nbHousing,
 boolean&nbsp;unkwownNumberOfHousing,
 int&nbsp;nbPOI,
 org.locationtech.jts.geom.Geometry&nbsp;geom)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="importBuildingFromICI(java.io.File)">
<h3>importBuildingFromICI</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</span>&nbsp;<span class="element-name">importBuildingFromICI</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI)</span>
                                                  throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingICI</code> - containing the <b>BDTOPO</b> buildings</dd>
<dt>Returns:</dt>
<dd>A list of ICI's building objects</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - reading data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingFromBDTopo(java.io.File,java.io.File,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef)">
<h3>importBuildingFromBDTopo</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</span>&nbsp;<span class="element-name">importBuildingFromBDTopo</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;irisHousing,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;shortYear,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref)</span>
                                                     throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingICI</code> - containing the <b>BD_TOPO</b> buildings</dd>
<dd><code>ref</code> - Version of the <b>BD_TOPO</b></dd>
<dt>Returns:</dt>
<dd>A list of ICI's building objects</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - reading data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingFromBDTopo(java.io.File,java.io.File,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef,org.locationtech.jts.geom.Geometry)">
<h3>importBuildingFromBDTopo</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</span>&nbsp;<span class="element-name">importBuildingFromBDTopo</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;irisHousing,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;shortYear,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref,
 org.locationtech.jts.geom.Geometry&nbsp;mask)</span>
                                                     throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingICI</code> - containing the <b>BDTOPO</b> buildings</dd>
<dt>Returns:</dt>
<dd>A list of ICI's building objects</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - reading data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingFromBDTopo(java.io.File,fr.ici.buildingActivity.util.property.BuildingRef,org.locationtech.jts.geom.Geometry)">
<h3>importBuildingFromBDTopo</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</span>&nbsp;<span class="element-name">importBuildingFromBDTopo</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref,
 org.locationtech.jts.geom.Geometry&nbsp;mask)</span>
                                                     throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingFromBDTopo(java.io.File,java.io.File,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef,java.io.File,org.locationtech.jts.geom.Geometry,java.io.File)">
<h3>importBuildingFromBDTopo</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</span>&nbsp;<span class="element-name">importBuildingFromBDTopo</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;irisHousingFile,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;shortYear,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingBNB,
 org.locationtech.jts.geom.Geometry&nbsp;mask,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;poiFile)</span>
                                                     throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Import buildings from an already existing collection of BDTopo building. No housing are generated.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingICI</code> - containing the <b>BDTOPO</b> buildings</dd>
<dt>Returns:</dt>
<dd>A list of ICI's building objects</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - reading data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingFromBDTopo(java.io.File,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef,java.io.File,org.locationtech.jts.geom.Geometry,java.io.File)">
<h3>importBuildingFromBDTopo</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</span>&nbsp;<span class="element-name">importBuildingFromBDTopo</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisHousing,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;shortYear,
 <a href="../util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a>&nbsp;ref,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingBNB,
 org.locationtech.jts.geom.Geometry&nbsp;mask,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;poiFile)</span>
                                                     throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingFromBNB(java.io.File,org.locationtech.jts.geom.Geometry,java.io.File)">
<h3>importBuildingFromBNB</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&gt;</span>&nbsp;<span class="element-name">importBuildingFromBNB</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;buildingICI,
 org.locationtech.jts.geom.Geometry&nbsp;mask,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;poiFile)</span>
                                                  throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Import buildings from an already existing collection of BDTopo building. No housing are generated.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingICI</code> - containing the <b>BDTOPO</b> buildings</dd>
<dt>Returns:</dt>
<dd>A list of ICI formated buildings</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - reading data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getFunctionalRatio()">
<h3>getFunctionalRatio</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="element-name">getFunctionalRatio</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setFunctionalRatio(float)">
<h3>setFunctionalRatio</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setFunctionalRatio</span><wbr><span class="parameters">(float&nbsp;functionalRatio)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSfcBuilding(java.util.List)">
<h3>getSfcBuilding</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">getSfcBuilding</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lB)</span></div>
<div class="block">Write a list of Building in a geographic collection</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lB</code> - list of Building</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateSimpleFeature()">
<h3>generateSimpleFeature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="element-name">generateSimpleFeature</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>generateSimpleFeature</code>&nbsp;in class&nbsp;<code>fr.ici.dataImporter.iciObjects.ICIObject</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getSFB()">
<h3>getSFB</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="element-name">getSFB</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>getSFB</code>&nbsp;in class&nbsp;<code>fr.ici.dataImporter.iciObjects.ICIObject</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
